aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis-deploy.sh28
-rw-r--r--.travis.yml17
2 files changed, 38 insertions, 7 deletions
diff --git a/.travis-deploy.sh b/.travis-deploy.sh
new file mode 100644
index 0000000..7ddae01
--- /dev/null
+++ b/.travis-deploy.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# This script is called by Travis-CI to deploy
+# to github pages
+
+set -e
+
+# clear and re-create the out directory
+rm -rf out || exit 0;
+mkdir out
+
+# copy all output files to the out directory
+cp mmbtools.pdf out/
+
+# go to the out directory and create a *new* Git repo
+cd out
+git init
+
+git config user.name "Travis CI"
+git config user.email "Travis-CI@opendigitalradio.org"
+git add .
+git commit -m "Deploy to GitHub Pages"
+
+# Force push from the current repo's master branch to the remote
+# repo's gh-pages branch. (All previous history on the gh-pages branch
+# will be lost, since we are overwriting it.) We redirect any output to
+# /dev/null to hide any sensitive credential data that might otherwise be exposed.
+git push --force --quiet "https://${GH_TOKEN}@${GH_REF}" master:gh-pages > /dev/null 2>&1
diff --git a/.travis.yml b/.travis.yml
index 39acde0..53ed884 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,12 +1,15 @@
language: c
sudo: required
dist: trusty
-
before_install:
- - "sudo apt-get update && sudo apt-get install -y --no-install-recommends texlive-fonts-recommended texlive-latex-extra texlive-fonts-extra texlive-latex-recommended texlive-science dvipng"
-
+- sudo apt-get update && sudo apt-get install -y --no-install-recommends texlive-fonts-recommended
+ texlive-latex-extra texlive-fonts-extra texlive-latex-recommended texlive-science
+ dvipng cm-super
script:
- - |
- make
-
-
+- |
+ make
+ bash .travis-deploy.sh
+env:
+ global:
+ - GH_REF: github.com/Opendigitalradio/mmbtools-doc.git
+ - secure: z2nAH5qIltqdv3FzEoxznkVX64yULzK2qQqmZdGaSbkqNonj8TbgGYXW25hx5L50tvpoqr9yLbDQv1tA+OeZueLWDaUkB7yTonCu92PFczUsGnf60TYc0kRoXORgGnM8CPcjNsEdrkWnbCOvHWj6rnFBgsnpA3n3a4O5ZU+ec2j8GGClVMTT+Cf63QT6ruGAVSKmk0BCLwqj8Ux2clL+0h2hUQV+AH3DNdfKuAeKjglBbyqKeklDvXvcVM8gBf7Q22lh6cs/pEnFxHULOdZROepeK909/fgfzar522fQMmmRuBeck/InhEZiuRi+KgEOxAEqC3ZTalLDH9gHqxDYQgqZX5C4NX0qowRgWnjSSrNDbgM1QsTfX89w2OoQyQ/gd6OzCkPEmM4YRsHS8UnowjsTLl5Qt7TbeAWfv6bVimdfOyvQpdOL3d70kQUdE/WZfehdaDM2wtYTsfYCckbw7EBgwrGU3LHABnY06cPOi36Bh9kmuNoMSGt0/LrL306OrLbcSquUCcrgKkwbnJlXK2R1oLsxEOiAzfsmXdsJB5kcBO9AApGU/b8oG8L4PDyqpe17czN9edg2vlmNIlvIhZAEUXGRMJYbmFJMi9lT3pfyMsw/V7zVPgMbwjSKsblm3Gt7wtgqaFoBdZr+qR5p2Dad4sdgP3LRSYi9ps6QFlc=